Bug 251219 - FEAT: RHEL 6.0: Boot-time hang when HPC: 939
FEAT: RHEL 6.0: Boot-time hang when HPC: 939
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
: Reopened
Depends On:
Blocks: 296431
  Show dependency treegraph
 
Reported: 2007-08-07 16:04 EDT by Jay Greguske
Modified: 2009-02-06 15:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 11:24:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Greguske 2007-08-07 16:04:14 EDT
Description of problem:
The /etc/rc.sysinit script sets RHGB_STARTED=0 but /etc/init.d/functions checks
if it's null ("").  It caused a problem with headless nodes imaged with
SystemImager software to hang on boot trying to open
/etc/rhgb/temp/rhgb-console.  Removing /etc/rhgb/temp/rhgb-console from the
image solved the problem, but the RHGB_STARTED usage should be fixed to be
consistent.

How reproducible:
Always

Steps to Reproduce:

1. When RHGB is enabled, and it has started, reboot the system. (in the middle
of booting)
2. Remove the "rhgb" parameter in the boot loader entry (in grub or lilo), so
that the system will not start RHGB.
3. Boot the system. You should see it hang when the first initscript is executed.
Comment 1 Ray Strode [halfline] 2007-08-07 16:14:06 EDT
Reassigning to initscripts
Comment 3 Bill Nottingham 2007-09-28 15:51:54 EDT
This problem is fixed in the development tree, and will be resolved in the next
major release of Red Hat Enterprise Linux. Red Hat does not currently plan to
provide a resolution for this in a Red Hat Enterprise Linux update for currently
deployed systems. To get into this situation, you would have to somehow create
an image of a system *while RHGB is running* - the pipe in question is only ever
created on a temporary ramfs filesystem. This is highly unlikely to happen.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 
Comment 4 Daniel Riek 2007-11-09 15:24:22 EST
As a workaround seems to exist for RHEL 5, moving this to RHEL6 and approving.

Note You need to log in before you can comment on or make changes to this bug.